import {FC} from "react";
import {SegmentedControl, SegmentedControlProps} from "@mantine/core";
export enum ServicesTab {
    DEAL_SERVICE,
    PRODUCT_SERVICE,
    SERVICES_KITS
}


type Props = Omit<SegmentedControlProps, 'data'>;
const data = [
    {
        label: 'Для товара',
        value: ServicesTab.PRODUCT_SERVICE.toString()
    },
    {
        label: 'Для сделки',
        value: ServicesTab.DEAL_SERVICE.toString()
    },
    {
        label: 'Наборы услуг',
        value: ServicesTab.SERVICES_KITS.toString()
    }
]
const ServiceTypeSegmentedControl: FC<Props> = (props) => {

    return (
        <SegmentedControl
            data={data}
            {...props}
        />
    )
}
export default ServiceTypeSegmentedControl